classification
Title: Documentation for Signature, Parameter and signature in inspect module
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: asvetlov, brett.cannon, docs@python, georg.brandl, larry, ncoghlan, python-dev, yselivanov
Priority: deferred blocker Keywords: patch

Created on 2012-06-23 06:13 by ncoghlan, last changed 2012-08-13 15:24 by asvetlov. This issue is now closed.

Files
File name Uploaded Description Edit
inspect.pep362.1.patch yselivanov, 2012-07-17 05:31 review
inspect.pep362.2.patch yselivanov, 2012-07-17 18:08 review
inspect.pep362.3.patch yselivanov, 2012-07-17 20:02 review
inspect.pep362.4.patch asvetlov, 2012-08-09 11:02 review
inspect.pep362.5.patch asvetlov, 2012-08-11 19:37 review
Messages (15)
msg163534 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-06-23 06:13
The PEP 362 implementation has been committed, but the inspect module documentation still needs to be updated.
msg164098 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-06-26 20:50
Moving back to blocker for beta2.
msg165560 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2012-07-16 00:39
Is anyone working on this?  I could possibly take a stab at it tonight, if I get the evening to myself.
msg165681 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2012-07-17 05:31
Larry, Brett,

I compiled the documentation from the PEP (attached as inspect.pep362.1.patch).  Please take a look and feel free to add/edit.
msg165727 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2012-07-17 18:08
The new patch version (inspect.pep362.2.patch) includes more examples and includes recommendations to use the Signature Object instead of 'inspect.getfullargsspec'.  Please review.
msg165728 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2012-07-17 20:02
New patch version - inspect.pep362.3.patch

I decided to put the new doc section above the "Classes and functions". The new section is now called "Introspecting callables with Signature Object".  Aside from that everything is the same as in the 2nd patch.
msg166033 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-07-21 14:27
Docs issues won't block b2.
msg167705 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-08-08 18:53
Yury, please updete your patch to pass doctest:

./python -m doctest Doc/library/inspect.html
msg167778 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-08-09 11:02
Update patch
msg167781 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2012-08-09 11:47
Thanks a lot for the patch update, Andrew!  Please let me glance over it once again today/tomorrow before you commit it.
msg168001 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-08-11 19:37
Slightly updated version
msg168109 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-08-13 14:10
New changeset 814462492fbd by Andrew Svetlov in branch 'default':
Issue #15151: PEP 362 — document signature and related classes for inspect.py
http://hg.python.org/cpython/rev/814462492fbd
msg168110 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-08-13 14:14
Closing the issue. Feel free to reopen if you have some corrections.
msg168113 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2012-08-13 14:49
Thank you, Andrew.

One thing: can you please change:

> Print all keyword-only arguments without default values:

to

> Example: print all keyword-only arguments without default values:

?
msg168117 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-08-13 15:24
Done in 843e0da7e91f
History
Date User Action Args
2012-08-13 15:24:56asvetlovsetmessages: + msg168117
2012-08-13 14:49:37yselivanovsetmessages: + msg168113
2012-08-13 14:14:54asvetlovsetstatus: open -> closed
type: enhancement
resolution: fixed
stage: resolved
2012-08-13 14:14:33asvetlovsetmessages: + msg168110
2012-08-13 14:10:41python-devsetnosy: + python-dev
messages: + msg168109
2012-08-11 19:37:58asvetlovsetfiles: + inspect.pep362.5.patch

messages: + msg168001
2012-08-09 11:47:22yselivanovsetmessages: + msg167781
2012-08-09 11:02:59asvetlovsetfiles: + inspect.pep362.4.patch

messages: + msg167778
2012-08-08 18:53:38asvetlovsetnosy: + asvetlov
messages: + msg167705
2012-07-26 21:24:06brett.cannonsetnosy: + brett.cannon
2012-07-21 14:27:57georg.brandlsetpriority: release blocker -> deferred blocker

messages: + msg166033
2012-07-17 20:02:26yselivanovsetfiles: + inspect.pep362.3.patch

messages: + msg165728
2012-07-17 18:08:10yselivanovsetfiles: + inspect.pep362.2.patch

messages: + msg165727
2012-07-17 15:35:11yselivanovsetnosy: - Yury.Selivanov
2012-07-17 05:31:09yselivanovsetfiles: + inspect.pep362.1.patch
keywords: + patch
messages: + msg165681
2012-07-16 00:39:39larrysetmessages: + msg165560
2012-07-13 15:32:05brett.cannonsetnosy: + larry, Yury.Selivanov, yselivanov
2012-06-26 20:50:37georg.brandlsetpriority: deferred blocker -> release blocker
nosy: + georg.brandl
messages: + msg164098

2012-06-23 06:13:50ncoghlancreate